

	//******************************************************
	function NCOWebtopViewDataItem( fieldName , fieldNameJustify , columnTitle, columnTitleJustify , columnWidth , sequenceNumber , fieldType )
	{
		this._fieldName = fieldName;
		this._fieldNameJustify = fieldNameJustify;
		this._columnTitle = columnTitle;
		this._columnTitleJustify = columnTitleJustify;
		this._columnWidth = columnWidth;	
		this._sequenceNumber = sequenceNumber;
		this._fieldType = fieldType;
	}

	//******************************************************
	function viewDataItemToString()
	{
		var baseString =  "NCOWebtopViewDataItem( " ;
		baseString += ( "_fieldName=" + this._fieldName );
		baseString += ( ",_fieldNameJustify=" + this._fieldNameJustify );
		baseString += ( ",_columnTitle=" + this._columnTitle );
		baseString += ( ",_columnTitleJustify=" + this._columnTitleJustify );
		baseString += ( ",_columnWidth=" + this._columnWidth );
		baseString += ( ",_sequenceNumber=" + this._sequenceNumber + " )" );
		return baseString;
	}

	//******************************************************
	function getViewItemValue()
	{
		return this._fieldName;
	}

	//******************************************************
	function getViewItemText()
	{
		return this._fieldName;
	}	

	//******************************************************
	function setViewItemFormElement( formElement )
	{
		this._formElement = formElement;
	}

	//******************************************************	
	function updateViewItem()
	{
		var alertMessage = null;
		if ( this._formElement != null && this._formElement._displayElements != null )
		{
			var dispElements = this._formElement._displayElements;

			if ( ( alertMessage = this.validSortValues( dispElements.getColumnWidthValue() ) ) != null )
			{
				alert( alertMessage );
				dispElements.setColumnWidthValue( this._columnWidth );
				return false;
			}
			this._fieldName = dispElements.getFieldNameValue();
			this._fieldNameJustify = dispElements.getFieldNameJustifyValue();
			this._columnTitle = dispElements.getColumnTitleValue();
			this._columnTitleJustify = dispElements.getColumnTitleJustifyValue();
			this._columnWidth = this.getColumnWidth( dispElements.getColumnWidthValue() );
		}
		return true;
	}
	//***************************************************" );
	function isSpaceString( testString )
	{
		if ( testString == "" )
		{
			return false;
		}
		for ( var i = 0; i < testString.length ; i++ )
		{
			if ( testString.charAt( i ) != " " )
			{
				return false;
			}
		}
		return true;
	}

	//******************************************************
	function validSortValues( tryValue )
	{
		if ( tryValue != "" && !this.isSpaceString( tryValue ) && !isNaN( tryValue ) && tryValue > 0 )
		{
			return null;
		}
		else
		{
			return "Please Enter a valid number for the column width of " + this._fieldName;
		}
	}

	//******************************************************
	function getViewColumnWidth( tryValue )
	{
		if ( this.validSortValues( tryValue ) == null )
		{
			return tryValue;
		}
		else
		{
			return this._columnWidth;
		}
	}

	//******************************************************	
	function displayViewItem()
	{
		if ( this._formElement != null && this._formElement._displayElements != null )
		{
			this._formElement._displayElements.setFieldValues( this._fieldName , this._fieldNameJustify , this._columnTitle ,
								this._columnTitleJustify , this._columnWidth );
		}	
	}

	//******************************************************	
	function setViewItemSequenceNumber( seqNumber )
	{
		this._sequenceNumber = seqNumber;
	}

	//******************************************************
	function getViewItemOption()
	{
		return new Option( this._fieldName , this._fieldName );
	}

	//******************************************************
	// needs fixing 
	function getJustifyString( string )
	{
		string += "";
		if ( string == "0" )
		{
			return "left";
		}
		else if ( string == "1" )
		{
			return "centre";
		}
		else
		{
			return "right";
		}
	}

	//******************************************************
	function encodeViewItem()
	{
		var string = "visualEntry(";
		string += ( "fieldName=\"" + this._fieldName + "\"," );
		string += ( "sequenceNumber=" + this._sequenceNumber + "," );
		string += ( "fieldTitle=\"" + this._columnTitle + "\"," );
		string += ( "dataJustify=\"" + this.getJustifyString( this._fieldNameJustify ) + "\"," );
		string += ( "titleJustify=\"" + this.getJustifyString( this._columnTitleJustify ) + "\"," );
		string += ( "columnWidth=" + this._columnWidth + "," );
		string += ( "fieldType=" + this._fieldType );
		string += ( ")\n");
		return string;		
	}

	//******************************************************
	NCOWebtopViewDataItem.prototype.display =  displayViewItem;
	NCOWebtopViewDataItem.prototype.update =  updateViewItem;
	NCOWebtopViewDataItem.prototype.setFormElement =  setViewItemFormElement;
	NCOWebtopViewDataItem.prototype.setSequenceNumber =  setViewItemSequenceNumber;
	NCOWebtopViewDataItem.prototype.getValue =  getViewItemValue;
	NCOWebtopViewDataItem.prototype.getText =  getViewItemText;
	NCOWebtopViewDataItem.prototype.getOption =  getViewItemOption;
	NCOWebtopViewDataItem.prototype.toString =  viewDataItemToString;
	NCOWebtopViewDataItem.prototype.validSortValues = validSortValues;
	NCOWebtopViewDataItem.prototype.getColumnWidth = getViewColumnWidth;
	NCOWebtopViewDataItem.prototype.validSortValues = validSortValues;
	NCOWebtopViewDataItem.prototype.isSpaceString = isSpaceString;
	NCOWebtopViewDataItem.prototype.encode = encodeViewItem;
	NCOWebtopViewDataItem.prototype.getJustifyString = getJustifyString;
