@echo off
setlocal

rem -------------------------------------------------------
rem RUN SCRIPT FOR WEBTOP WAAPI.
rem 
rem WAAPI_HOME SHOULD BE SET TO THE ROOT OF THE WAAPI TREE
rem OMNIJAVA   IS THE PATH TO THE java.exe BINARY
rem -------------------------------------------------------

if NOT DEFINED WAAPI_HOME set WAAPI_HOME=%WEBTOP_HOME%\waapi
rem set OMNIJAVA=%WAAPI_HOME%\jre\1.3.1\bin\java.exe

rem -------------------------------------------------------
rem NO CHANGES SHOULD HAVE TO BE DONE BELOW
rem -------------------------------------------------------

rem GO TO WEBTOP_HOME

rem CHECK THAT WE ARE RUNNING WINDOWS NT THAT HAVE COMMAND EXTs
if NOT "%OS%" == "Windows_NT" goto ntonly
if NOT cmdextversion == 1 goto oldcmdversion

rem CHECK THAT WEBTOP_HOME IS CORRECTLY SET
if NOT EXIST "%WEBTOP_HOME%\waapi\bin\runwaapi.cmd" goto nohome

set OMNIJAVA=%WEBTOP_HOME%\..\common\jre\1.4.2\bin\java.exe

:checkjava
rem CHECK IF OMNIJAVA IS VALID java.exe
if EXIST "%OMNIJAVA%" goto setEnv

goto nojava

:setEnv
rem SET THE CLASSPATH FOR WAAPI USING WEBTOP_HOME
set LIB_XERCES=%WEBTOP_HOME%\waapi\lib\xerces.jar
set LIB_XMLRPC=%WEBTOP_HOME%\waapi\lib\xmlrpc.jar
set LIB_JSSE=%WEBTOP_HOME%\waapi\lib\jsse.jar
set LIB_JNET=%WEBTOP_HOME%\waapi\lib\jnet.jar
set LIB_JCERT=%WEBTOP_HOME%\waapi\lib\jcert.jar
set LIB_NOVA=%WEBTOP_HOME%\waapi\lib\nova.jar
set LIB_WAAPI=%WEBTOP_HOME%\waapi\waapi.jar
set WAAPILIB=%LIB_XERCES%;%LIB_XMLRPC%;%LIB_JSSE%;%LIB_JNET%;%LIB_JCERT%;%LIB_NOVA%;%LIB_WAAPI%

if NOT DEFINED WAAPILIB goto end

"%OMNIJAVA%" -cp "%WAAPILIB%" com.micromuse.wave.client.WAAPIStart -home "%WEBTOP_HOME%\waapi" %*
goto end

:clearv
rem clearup happens here
goto end

:nojava
echo No JAVA runtime environment found.
echo.
echo Please set the JAVA environment variable to point
echo to a valid java executable
goto clearv

:nohome
echo The environment variable WAAPI_HOME has not been set.
echo Please make sure that WAAPI_HOME points to a valid WAAPI
echo installation.
goto end

:oldcmdversion
echo This script requires the command extensions
echo available under NT and cannot run on your system.
pause
goto end

:ntonly
echo This product is only supported under NT
pause
goto end

:end
endlocal
if "%*" == "pause" pause
